'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Markup;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Parser = require('./Parser');

var _Parser2 = _interopRequireDefault(_Parser);

var _Element = require('./components/Element');

var _Element2 = _interopRequireDefault(_Element);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*:: type MarkupProps = {
  className: string,
  content: string,
  emptyContent: ?React.Element<*>,
  tagName: string,
  noHtml: boolean,
};*/ /**
      * @copyright   2016, Miles Johnson
      * @license     https://opensource.org/licenses/MIT
      * 
      */

function Markup(_ref) {
  var className = _ref.className;
  var content = _ref.content;
  var emptyContent = _ref.emptyContent;
  var _ref$tagName = _ref.tagName;
  var tagName = _ref$tagName === undefined ? 'span' : _ref$tagName;
  var _ref$noHtml = _ref.noHtml;
  var noHtml = _ref$noHtml === undefined ? false : _ref$noHtml;

  var markup = new _Parser2.default(content, { noHtml: noHtml }).parse();

  return _react2.default.createElement(
    _Element2.default,
    { tagName: tagName, className: className },
    markup.length ? markup : emptyContent || null
  );
}

Markup.propTypes = {
  className: _react.PropTypes.string,
  content: _react.PropTypes.string.isRequired,
  emptyContent: _react.PropTypes.node,
  tagName: _react.PropTypes.oneOf(['span', 'div', 'p']),
  noHtml: _react.PropTypes.bool
};